## org.firebirdsql.gds.impl.wire
Class DatabaseParameterBufferImp

    java.lang.Object
      org.firebirdsql.gds.impl.wire.ParameterBufferBase
          org.firebirdsql.gds.impl.wire.DatabaseParameterBufferImp

All Implemented Interfaces:
  Serializable, DatabaseParameterBuffer, DatabaseParameterBufferExtension, Xdrable

    public class DatabaseParameterBufferImp

extends ParameterBufferBase
implements DatabaseParameterBufferExtension

jdgs implementation for DatabaseParameterBuffer. The base class ParameterBufferBase contains most the implementation.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.firebirdsql.gds.impl.wire.ParameterBufferBase
`ParameterBufferBase.Argument, ParameterBufferBase.NumericArgument, ParameterBufferBase.StringArgument`

Field Summary

Fields inherited from interface org.firebirdsql.gds.impl.DatabaseParameterBufferExtension
`BLOB_BUFFER_SIZE, EXTENSION_PARAMETERS, FILENAME_CHARSET, LOCAL_ENCODING, MAPPING_PATH, NO_RESULT_SET_TRACKING, OCTETS_AS_BYTES, PARANOIA_MODE, RESULT_SET_HOLDABLE, SOCKET_BUFFER_SIZE, TIMESTAMP_USES_LOCAL_TIMEZONE, USE_STANDARD_UDF, USE_STREAM_BLOBS`

Fields inherited from interface org.firebirdsql.gds.DatabaseParameterBuffer

`ACTIVATE_SHADOW, ADDRESS_PATH, ALLOCATION, BEGIN_LOG, BUFFER_LENGTH, CACHE_MANAGER, CDD_PATHNAME, CONNECT_TIMEOUT, DAMAGED, DBKEY_SCOPE, DEBUG, DELETE_SHADOW, DISABLE_JOURNAL, DISABLE_WAL, DROP_WALFILE, DUMMY_PACKET_INTERVAL, ENABLE_JOURNAL, ENCRYPT_KEY, FORCE_WRITE, GARBAGE_COLLECT, GBAK_ATTACH, GFIX_ATTACH, GSEC_ATTACH, GSTAT_ATTACH, INTERP, JOURNAL, LC_CTYPE, LC_MESSAGES, LICENSE, NO_DB_TRIGGERS, NO_GARBAGE_COLLECT, NO_RESERVE, NUM_BUFFERS, NUMBER_OF_USERS, OLD_DUMP_ID, OLD_FILE, OLD_FILE_SIZE, OLD_NUM_FILES, OLD_START_FILE, OLD_START_PAGE, OLD_START_SEQNO, ONLINE, ONLINE_DUMP, OVERWRITE, PAGE_SIZE, PASSWORD, PASSWORD_ENC, PROCESS_ID, PROCESS_NAME, QUIT_LOG, RESERVED, SEC_ATTACH, SET_DB_CHARSET, SET_DB_READONLY, SET_DB_SQL_DIALECT, SET_PAGE_BUFFERS, SHUTDOWN, SHUTDOWN_DELAY, SQL_DIALECT, SQL_ROLE_NAME, SWEEP, SWEEP_INTERVAL, SYS_USER_NAME, SYS_USER_NAME_ENC, TRACE, TRUSTED_AUTH, USER, USER_NAME, VERIFY, WAL_BACKUP_DIR, WAL_BUFSIZE, WAL_CHKPTLEN, WAL_GRP_CMT_WAIT, WAL_NUMBUFS, WORKING_DIRECTORY`

Constructor Summary
`DatabaseParameterBufferImp()`

Method Summary
`DatabaseParameterBuffer` `deepCopy()` Make a deep copy of this object.
`DatabaseParameterBuffer` `removeExtensionParams()` Remove extension parameters in the newly created deep copy of this class.

Methods inherited from class org.firebirdsql.gds.impl.wire.ParameterBufferBase
`addArgument, addArgument, addArgument, addArgument, equals, getArgumentAsInt, getArgumentAsString, getArgumentsList, getLength, hasArgument, hashCode, read, removeArgument, write`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.firebirdsql.gds.DatabaseParameterBuffer
`addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, hasArgument, removeArgument`

Constructor Detail

### DatabaseParameterBufferImp

    public DatabaseParameterBufferImp()

Method Detail

### deepCopy

    public DatabaseParameterBuffer deepCopy()

  Description copied from interface: `DatabaseParameterBuffer`
  Make a deep copy of this object.

  Specified by:
    `deepCopy` in interface `DatabaseParameterBuffer`
  Returns:
    deep copy of this object.

### removeExtensionParams

    public DatabaseParameterBuffer removeExtensionParams()

  Description copied from interface: `DatabaseParameterBufferExtension`
  Remove extension parameters in the newly created deep copy of this class.

  Specified by:
    `removeExtensionParams` in interface `DatabaseParameterBufferExtension`
  Returns:
    a deep copy of this class where all extension parameters are removed; needed to filter Jaybird extensions that are not understood by Firebird.

Copyright © 2001-2010. All Rights Reserved.